Skip to content

List API Keys

GET
/api/api-keys

Get all API keys owned by the current user.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Responses

List of API keys

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"prefix": "string",
  
  
  
"start": "string",
  
  
  
"organizationId": "string",
  
  
  
"enabled": true,
  
  
  
"permissions": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"modules": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"allowedDomains": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"expiresAt": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"rateLimitEnabled": true,
  
  
  
"rateLimitTimeWindow": 0,
  
  
  
"rateLimitMax": 0,
  
  
  
"requestCount": 0,
  
  
  
"lastRequest": "string"
  
  
}
  
]
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation